#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
ARCSRC = ../../shared
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

CPP = g++ -c -g -I. -I${INCL} -I${ARCSRC}
CC = cc -c -g -I. -I${INCL} -I${ARCSRC}
CCL = cc -g
LM = -lm -lrt

mvanno: mvanno.o 
	${CCL} -o mvanno mvanno.o 
	chmod a+x mvanno

mvanno.o: mvanno.c
	${CC} mvanno.c

clean:
	rm -f mvanno.o
