#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
ARCSRC = ../../shared
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

TINELIB = libtine.a

CPP = g++ -c -g -I. -I${INCL} -I${ARCSRC}
CC = cc -c -g -I. -I${INCL} -I${ARCSRC}
CCL = cc -g
LM =  -lm -lrt

evnsrv: devsrv.o evneqm.o apceqm.o arctools.o
	${CCL} -o evnsrv devsrv.o evneqm.o apceqm.o arctools.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x evnsrv

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

apceqm.o: ${ARCSRC}/apceqm.c ${ARCSRC}/apceqm.h ${ARCSRC}/arctools.h ${HDRS}
	${CC} ${ARCSRC}/apceqm.c

evneqm.o: evneqm.c ${ARCSRC}/apceqm.h ${ARCSRC}/arctools.h ${HDRS}
	${CC} evneqm.c

arctools.o: ${ARCSRC}/arctools.c ${ARCSRC}/arctools.h ${HDRS}
	${CC} ${ARCSRC}/arctools.c

clean:
	rm -f *.o
