global ampl
global freq
global nois
% some initial settings :
ampl = [256 256 256 256 256 256 256 256 256 256]
freq = [1 1 1 1 1 1 1 1 1 1]
nois = [5 5 5 5 5 5 5 5 5 5]
% attach to a configuration database using the local equipment module name
% "SINEQM"
tine_attach_server('SINEQM');
% push some data into property "Amplitude" (just for fun)
tine_pushdata('Amplitude','SineGen0',10,1,0);
tine_pushdata('Amplitude','SineGen3',44,1,0);
% attach property dispatch handlers for properties "Amplitude",
% "Frequency", and "Noise"
tine_attach_handler('Amplitude','tine_amplitude_dispatch');
tine_attach_handler('Frequency','tine_frequency_dispatch');
tine_attach_handler('Noise','tine_noise_dispatch');
% start an update task ...
t = timer('TimerFcn',@sine_update,'Period',1.0,'ExecutionMode','fixedRate')
% note: sine_update.m calls putsine.m
start(t)
