/*
 * tine_debug.cpp :
 */

#include <math.h>
#include "mex.h"
#include "tine.h"
#include "errors.h"

#define mxerr(s) { mxerrStr = s; goto err; }

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[]) 
{
  int cc = 0, pid = GetCurrentProcessId();
  char pipeName[32],cmd[128];
  STARTUPINFO sInfo;
  PROCESS_INFORMATION pInfo; 
  memset(&sInfo,0,sizeof(sInfo));
  if (GetIpcPipeName(pipeName) != 0)
  {
    sprintf(pipeName,"matlab-%d",pid);
  }
  OpenIpcPipe(pipeName);
  sprintf(cmd,"AttachFec %s",pipeName);
  CreateProcess(NULL,cmd,NULL,NULL,0,NORMAL_PRIORITY_CLASS,NULL,NULL,&sInfo,&pInfo);
  mexPrintf("debug session launched");  
}