import os
from distutils.core import setup, Extension

TINE_SOURCE_LIST = []
TINE_SOURCE_LIST.append(os.environ.get('TINE_ROOT'))
TINE_SOURCE_LIST.append("/source")
TINE_SOURCE='/home/zwerg/tine/source'

ptmodule = Extension(   'PyTine',
                sources = ['pytine.cpp'],
                include_dirs=[
                 TINE_SOURCE,
                 './include/'
                 './source/'
                 ],
                library_dirs=[TINE_SOURCE],
                libraries=['tinemt','tbufsrv']
                )

setup (name = 'PyTine',
       version = '1.0.0',
       description = 'PyTine package',
       ext_modules = [ptmodule])

