#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
ARCSRC = ../../shared
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

TINELIB = libtine.a

CPP = g++ -c -g -I. -I${INCL} -I${ARCSRC}
CC = cc -c -g -I. -I${INCL} -I${ARCSRC}
CCL = cc -g
LM = -lm -lrt

arcsrv: devsrv.o hsteqm.o archbase.o
	${CCL} -o arcsrv devsrv.o hsteqm.o archbase.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x arcsrv

devsrv.o: devsrv.c app_version.h ${HDRS}
	${CC} devsrv.c

hsteqm.o: ${ARCSRC}/hsteqm.c ${ARCSRC}/archive.h fecdef.h ${HDRS}
	${CC} ${ARCSRC}/hsteqm.c 

archbase.o: ${ARCSRC}/archbase.c ${ARCSRC}/archive.h fecdef.h ${HDRS}
	${CC} ${ARCSRC}/archbase.c 

clean:
	rm -f *.o
