TINEEXE = clogsrv
TINELIB = libtine.a
#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/hstlib.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lrt

${TINEEXE}: devsrv.o clseqm.o
	${CCL} -o ${TINEEXE} devsrv.o clseqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

clseqm.o: clseqm.c clseqm.h ${HDRS}
	${CC} clseqm.c

clean:
	rm -f *.o
