#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/dbtools.h \
	${INCL}/toolkit.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/hstlib.h \
	${INCL}/almlib.h

TINELIB = libtine.a

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g -I${INCL}
LM = -lm  -lrt

gens: devsrv.o gens.o
	${CCL} -o gens devsrv.o gens.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x gens

devsrv.o: devsrv.c app_version.h ${HDRS}
	${CC} devsrv.c

ens.o: gens.c ${HDRS}
	${CC} gens.c 

clean:
	rm -f *.o
