#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

TINELIB = libtine.a

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lrt -lpthread

pulsegen: devsrv.o plseqm.o 
	${CCL} -o pulsegen devsrv.o plseqm.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x pulsegen

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

plseqm.o: plseqm.c ${HDRS}
	${CC} plseqm.c

clean:
	rm -f *.o
