#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

TINELIB = libtine.a

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lrt -lpthread

sinegen: devsrv.o sineqm.o 
	${CCL} -o sinegen devsrv.o sineqm.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x sinegen

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

sineqm.o: sineqm.c ${HDRS}
	${CC} sineqm.c

clean:
	rm -f *.o
