#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

TINELIB = libtine.a

CPP = g++ -c -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lrt

statesrv: devsrv.o staeqm.o
	${CCL} -o statesrv devsrv.o staeqm.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x statesrv

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

staeqm.o: staeqm.c ${HDRS}
	${CC} staeqm.c 

clean:
	rm -f *.o
